"""
broadway_migrate
~~~~~~~~~~~~~~~~

An extension to add migrate support to broadway projects.

:copyright: (c) 2017 Daniel Knell
:license: MIT, see LICENSE for more details.
"""

import flask_migrate

__version__ = '0.0.1'

extension = flask_migrate.Migrate()  # pylint: disable=invalid-name


class ImproperlyConfiguredError(RuntimeError):
    """ Exception for invalid configuration """


def init_app(application):
    """
    Initialise an application
    """
    if 'sqlalchemy' not in getattr(application, 'extensions', {}):
        raise ImproperlyConfiguredError(
            "broadway_migrate must be registered after broadway_sqlalchemy"
        )

    extension.init_app(application, application.extensions['sqlalchemy'].db)
